# @(#) Makefile
# @(#) Mynor Ramirez 
# @(#) Corte de Caja

# Programas 
NAME     = cortecaja.4ge 
OBJFILES = facglb002.4gl facing002.4gl facqbx002.4gl 
FRMFILES = facing002a.per 
LIBFILES = ../../lib/libgrales.42x 

# Compilando y linkeando programas 
all:
	@make -f ../../cmd/prog4js NAME="$(NAME)" \
        LIBFILES="$(LIBFILES)" OBJFILES="$(OBJFILES)" \
        FRMFILES="$(FRMFILES)" $(NAME)
	cp *42m *42f *42r ../bin

# Compilando formas
form:
	@make -f ../../cmd/prog4js $(FRMFILES) 

# Limpiando archivos de compilacion
clean: 
	@make -f ../../cmd/prog4js clean 
